\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
		\begin{axis}[
			ymode=log,
			log basis y={10},
			xmode=log,
			log basis x={2},
			log ticks with fixed point,
			%
			timeandsize
		]
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_cache_results/matrix_multiplication_ijk.csv};
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_memory_results/matrix_multiplication_ijk.csv};
		
		
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_cache_results/matrix_multiplication_ikj.csv};
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_memory_results/matrix_multiplication_ikj.csv};
		
		
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_cache_results/matrix_multiplication_jki.csv};
		
		\addplot table[x={Size of matrix}, y={Time (seconds)}, discard if not={Number of threads}{68}] {../../resultados/matrix_multiplication_benchmarks/snc4_memory_results/matrix_multiplication_jki.csv};


		\legend{
			$ijk$--caché,
			$ijk$--\textit{flat},
			$ikj$--caché,
			$ikj$--\textit{flat},
			$jki$--caché,
			$jki$--\textit{flat}
		}
		\end{axis}
	\end{tikzpicture}
	\caption*{Tiempos de ejecución según el tamaño de la matriz, utilizando 68 hilos y la configuración SNC-4.}
	\label{fig:snc4-size-68}
\end{figure}